Subject: Re: Regarding virtual server design spec. Was:Re: [ACADEM-SW-SUPPORT

From: Alain Magloire <[email-masked]>
Date: Fri, 17 Jan 1997 12:19:13 -0500 (EST)

According to `Karl O. Pinc':
> 
> Warning: Impassioned argument ahead.
> 

[.. passionate but very interesting views .. deleted..]

They are some flaws in your discussion, you're assuming {,wrongly}
that everybody have the same environment. 
Not everybody uses tcp_wrappers(yes they should .. that's off topic)
Not every systems have PAM. PAM is not widely use
  - Solaris 2.6 will  have it(don't quote me)
  - Redhat Linux distribution 4.x ?

PAM was still a draft 2 | 3 years ago, give it time for wide
acceptance. The Linux community can move at very fast paste,
give the rest of us a chance ;-)

The changes that you're proposing is one of policy hence too
drastic to fit in 2.4.2-beta-1x. That is consider to be
a security_bug fixes. Your patch would be of better use in
a new release ... 2.5.x ?

I think everybody agrees that some part(if not all ;) of the
code needs rewriting. Now for the behaviour of those extra
features ... it is a matter of personnal taste, religion
and phase of the moon.

Mr Barber seems to do an excellent job in keeping everything focus.
One of the hardest thing in maintaining free software is to
reject patches and new features ;).
There is so many patches floating around in this archive, that
I'm very curious to see what's in 2.5.x ;-)

Last note, yes I agree with you ..*small _IS_ beautifull*

-- 
Bonne anne'e, alain